/*!
 * @addtogroup moduledesign Module Design
 * 
 * Description of the module design.
 *
 * @{
 */

/*! @name Global Functions
 *  Module global functions. 
 *
 * @{
 */

/*!
 * @brief Global Function 1
 * 
 * @ingroup moduledesign
 *
 * @par Description:
 *   Global Function 1 Details.
 * @return void
 */
void globFunc1();

/*! 
 * @brief Global Function 2 
 *
 * @ingroup moduledesign
 *
 * @par Description:
 *   Global Function 2 Details.
 * @return void
 */
void globFunc2();

/* @} end of member group Global Functions */

/*! @name Private Functions
 *  Module private functions. 
 *
 * @{
 */
 
/*!
 * private function
 *
 * @ingroup moduledesign
 *
 */
 void privateFunc();

/* @} end of member group Private Functions */


/*! @name Misc Functions
 *  Module misc functions. 
 *
 * @{
 */
 
/*!
 * Misc function
 */
void misc_func();

/* @} end of member group Misc Functions */

/*! @name Misc Defines
 *  Module misc defines. 
 *
 * @{
 */
 
/*!
 * one define
 *
 * @ingroup moduledesign
 *
 */
#define A 1
/*!
 * another define
 *
 * @ingroup moduledesign
 *
 */
#define B 2

/* @} end of member group Misc Defines */

/* @} end of group Module Design*/


/* \file 
 *  docs for this file
 */

